export declare function ua2string(_ua: Uint8Array | ArrayBuffer): string;
export declare function string2ua(s: string): Uint8Array;
export declare function string2ab(s: string): ArrayBuffer;
export declare function ua2ab(ua: ArrayBuffer | Uint8Array): ArrayBuffer;
export declare function decodeStringOrArrayBuffer(value: string | ArrayBuffer): ArrayBuffer;
export declare function b64_2ab(s: string): ArrayBuffer;
export declare function b64_2ua(s: string): Uint8Array;
export declare function ua2b64(_ua: Uint8Array | ArrayBuffer): string;
export declare function b2a(a: string): string;
export declare function a2b(s: string): string;
